<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:include="fragments/head :: head">
    <meta charset="UTF-8"/>
    <title>Edit User</title>

</head>
<body class="black">
<!--/*@thymesVar id="user" type="com.pos_land.steam.domain.User"*/-->
<div th:include="fragments/header :: header"></div>
<div th:include="fragments/modal :: modal"></div>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h1>Edit User</h1>
                </div>
            </div>
        </div>
    </div>
    <!--Method post, action invokes the controller method with the corresponding @PostMapping-->
    <form th:object="${user}" th:action="@{/user/update/submit/}" method="post">
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div>
                    <input type="hidden" th:field="*{id}"/>
                    <label>Username</label>
                    <input type="text" class="form-control" th:field="*{userName}"/>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div>
                    <label>Email</label>
                    <input type="email" class="form-control" th:field="*{email}"/>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div>
                    <br/>
                    <label>Games</label>
                </div>
            </div>
            <div class="col-md-8 col-md-offset-2">
                <table class="table" id="gameTable">
                    <thead class="thead-inverse">
                    <tr>
                        <th class="col-md-1">ID</th>
                        <th class="col-md-6">Name</th>
                        <th class="col-md-2">Genre</th>
                        <th class="col-md-3">Options</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="game, iterStat : ${user.getGames()}" th:id="${iterStat.index}">
                        <td th:text="${game.getId()}" th:name="id"></td>
                        <td th:text="${game.getGameName()}" th:name="name"></td>
                        <td th:text="${game.getReleaseDate()}" th:name="date"></td>
                        <td>
                            <a th:onclick="'javascript:hrefForDeletingElementAttribute(\'user\', ' + ${user.getId()} + ', ' + ${game.getId()} + ')'"
                               class="btn btn-danger">Remove</a>
                            <a class="btn btn-warning" href="#"
                               th:href="@{'/game/' + ${game.getId()} + '/update'}">Edit Game</a>
                        </td>
                    </tr>
                    <tr>
                        <td></td>
                        <td></td>
                        <td>
                            <select class="form-control"
                                    th:onchange="'changeAddLink(this.id, \'addGameButton\' , \'game\')'"
                                    id="selectBox">
                                <option disabled="disabled" selected="selected">Bitte wählen</option>
                                <option th:each="gameSelect : ${allGames}" th:text="${gameSelect.getGameName()}" th:value="${gameSelect.getId()}">
                                </option>
                            </select>
                        </td>
                        <td>
                            <a href="#" class="btn btn-success" id="addGameButton">
                                <span class="glyphicon glyphicon-plus"></span> Add Game</a>
                        </td>
                    </tr>

                    </tbody>
                </table>
            </div>
        </div>
        <div class="row">
            <div class="col-md-8 col-md-offset-2 container-popup">
                <input type="submit" value="Confirm" class="btn btn-success">
                <a class="btn btn-danger" href="#" th:href="@{'/users'}">Cancel</a>
            </div>
        </div>
    </form>
</div>

<script src="../../static/js/changeAdd.js" th:src="@{/js/changeAdd.js}" type="text/javascript"></script>

<script scr="../../static/js/remove.js" th:src="@{/js/remove.js}" type="text/javascript"></script>

</body>

<script src="../../static/js/popup.js" th:src="@{/js/popup.js}" type="text/javascript"></script>

</html>